#include <bits/stdc++.h>

using namespace std;

const int mxN = 1e5 + 7;
struct vaga{int d, u;};
struct vaga v[mxN];

void solve(){
    int n, m; cin >> n >> m;
    for(int i=1; i<=n; i++){
        cin >> v[i].d >> v[i].u;
    }
    int l, r, x, ans;
    while(m--){
        ans=0;
        cin >> l >> r >> x;
        for(int i=l; i<=r; i++){
            if(v[i].d <= x && v[i].u >= x){ans++;}
        }
        cout << ans << "\n";
    }
}


int main(){
    ios_base::sync_with_stdio(false); cin.tie(0); cerr.tie(0);
    solve();
    return 0;
}